#!/usr/bin/env python

import pandas as pd;
df = pd.read_csv('lxf.csv');
head = df.head();
print(head);
df.info();

# Python records to Pandas DataFrame
list = [ ('Mihalis', '1234'), ('Dimitris', '2345'), ('John', '5678') ]
dfList = pd.DataFrame(list, columns = ['Name', 'Value'], index = ['in0', 'in1', 'in2'])

dict = [{'id': '0001', 'Year': 2020, 'month': 'January'}, {'id': '0201', 'Year': 2019, 'month': 'March'}]
dfDict = pd.DataFrame.from_dict(dict)
print(dfDict)

# Three lists into a single DataFrame
names = ['Mihalis', 'Epifanios']
values = ['123', '456']
years = [2020, 2019]

# First make a dictionary to combine the three lists
dictLists = {'Name': names, 'Value': values, 'Year': years}

dfObj = pd.DataFrame(dictLists, index=['a', 'b'])
print(dfObj)
