#!/usr/bin/env python3

import pandas as pd;
import numpy as np;

sv = pd.Series(dtype='float64')

# numpy.array to pandas.Series
npData = np.array([1,2,3,4])
sNP = pd.Series(npData)
sIndex = pd.Series(npData, index=['a','b','c','d'])

# Pandas Series to DataFrame
df = sNP.to_frame()
print("Type of df: ", type(df))

sPositive = pd.Series([1, 2, 3, 4], name = "positive");
sNegative = pd.Series([-1, -2, -3, -4], name = "negative");

combined = pd.merge(sPositive, sNegative, right_index = True, left_index = True)
print("Combined:", combined)

threeColumns = pd.merge(combined, sNegative, right_index = True, left_index = True)
print("threeColumns:", threeColumns)

# Pandas DataFrame Column to Series
myNegative = combined['negative'].squeeze()
print("myNegative:", myNegative)

myPositive = sPositive.squeeze()
print("myPositive:", myPositive)
